package cn.ibizlab.businesscentral.core.odoo_mail.mapper;

import java.util.List;
import org.apache.ibatis.annotations.*;
import java.util.Map;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import java.util.HashMap;
import org.apache.ibatis.annotations.Select;
import cn.ibizlab.businesscentral.core.odoo_mail.domain.Mail_resend_partner;
import cn.ibizlab.businesscentral.core.odoo_mail.filter.Mail_resend_partnerSearchContext;
import org.springframework.cache.annotation.CacheEvict;
import org.springframework.cache.annotation.Cacheable;
import java.io.Serializable;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.alibaba.fastjson.JSONObject;

public interface Mail_resend_partnerMapper extends BaseMapper<Mail_resend_partner>{

    Page<Mail_resend_partner> searchDefault(IPage page, @Param("srf") Mail_resend_partnerSearchContext context, @Param("ew") Wrapper<Mail_resend_partner> wrapper) ;
    @Override
    Mail_resend_partner selectById(Serializable id);
    @Override
    int insert(Mail_resend_partner entity);
    @Override
    int updateById(@Param(Constants.ENTITY) Mail_resend_partner entity);
    @Override
    int update(@Param(Constants.ENTITY) Mail_resend_partner entity, @Param("ew") Wrapper<Mail_resend_partner> updateWrapper);
    @Override
    int deleteById(Serializable id);
     /**
      * 自定义查询SQL
      * @param sql
      * @return
      */
     @Select("${sql}")
     List<JSONObject> selectBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义更新SQL
    * @param sql
    * @return
    */
    @Update("${sql}")
    boolean updateBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义插入SQL
    * @param sql
    * @return
    */
    @Insert("${sql}")
    boolean insertBySQL(@Param("sql") String sql, @Param("et")Map param);

    /**
    * 自定义删除SQL
    * @param sql
    * @return
    */
    @Delete("${sql}")
    boolean deleteBySQL(@Param("sql") String sql, @Param("et")Map param);

    List<Mail_resend_partner> selectByResendWizardId(@Param("id") Serializable id) ;

    List<Mail_resend_partner> selectByPartnerId(@Param("id") Serializable id) ;

    List<Mail_resend_partner> selectByCreateUid(@Param("id") Serializable id) ;

    List<Mail_resend_partner> selectByWriteUid(@Param("id") Serializable id) ;


}
